Perform OS Targeting

Route your requests through proxy IPs associated with devices running a specific operating system by adding the -os-<operating_system> parameter to your proxy username.

How OS Targeting Works

Append -os-<operating_system> to your proxy username to target devices running a specific operating system.

For example, -os-ios- routes traffic through iOS devices.

Supported Operating Systems

The following operating systems are supported:

Operating SystemUsername Value
Windowswindows
Androidandroid
iOSios
macOSmac

Request

curl --request GET \
     -x "http://proxy.geonode.io:10009" \
     --user "geonode_username-os-ios-lifetime-30-session-randomIOS:YOUR_PASSWORD" \
     --url "http://ip-api.com/json"

Example

curl -x proxy.geonode.io:10009 \
  -U geonode_username-os-ios-lifetime-30-session-randomIOS:YOUR_PASSWORD \
  http://ip-api.com/json

In this example, the operating system target is specified in the proxy username:

geonode_username-os-ios-lifetime-30-session-randomIOS

The important part is:

-os-ios-

You can replace ios with any of the supported operating systems:

-os-windows-
-os-android-
-os-ios-
-os-mac-

Response

200 Success

Returns information about the IP address assigned to your proxy connection.

Response Fields

FieldTypeDescription
statusstringStatus of the request.
countrystringCountry of the proxy IP address.
countryCodestringTwo-letter country code.
regionstringRegion or state code.
regionNamestringFull name of the region or state.
citystringCity associated with the proxy IP.
zipstringZIP or postal code.
latnumberLatitude of the proxy IP.
lonnumberLongitude of the proxy IP.
timezonestringTime zone of the proxy IP.
ispstringInternet service provider.
orgstringOrganization associated with the IP address.
asstringAutonomous System (AS) information.
querystringPublic IP address returned by the proxy.

Example Response

{
  "status": "success",
  "country": "United States",
  "countryCode": "US",
  "region": "PA",
  "regionName": "Pennsylvania",
  "city": "Philadelphia",
  "zip": "19133",
  "lat": 39.9934,
  "lon": -75.1425,
  "timezone": "America/New_York",
  "isp": "T-Mobile USA, Inc.",
  "org": "T-Mobile USA, Inc.",
  "as": "AS21928 T-Mobile USA, Inc.",
  "query": "172.56.216.58"
}

On this page